{
  "name": "10xRouterAll",
  "rules": [
    {
      "name": "10X路由器基本信息",
      "rules": [
        "show debug",
        "undebug all",
        "show version",
        "show version slots",
        "show running",
        "show logging",
        "show cpu",
        "@sleep 5000",
        "show cpu",
        "show memory",
        "show clock",
        "show users",
        "show file systems",
        "show environment",
        "debug support",
        "show exception",
        "show task",
        "show timer",
        "show queue",
        "show skbuff",
        "end"
      ]
    }
  ],
  "checkItems": [
    {
      "collectType": "设备管理类",
      "subTypes": [
        {
          "typeName": "cpu高",
          "cmds": [
            "@include 10X路由器基本信息",
            "show cpu",
            "debug support",
            "show task",
            "end"
          ]
        },
        {
          "typeName": "内存不足",
          "cmds": [
            "@include 10X路由器基本信息",
            "show memory",
            "debug support",
            "show memory",
            "@sleep 2000",
            "show pool",
            "@sleep 2000",
            "show skbuff",
            "@sleep 2000",
            "show efb",
            "@sleep 2000",
            "end"
          ]
        },
        {
          "typeName": "异常日志",
          "cmds": [
            "@include 10X路由器基本信息"
          ]
        },
        {
          "typeName": "设备异常重启",
          "cmds": [
            "@include 10X路由器基本信息",
            "show logging",
            "@sleep 2000",
            "debug support",
            "show exception",
            "@sleep 2000",
            "end"
          ]
        },
        {
          "typeName": "热备份异常切换",
          "cmds": [
            "@include 10X路由器基本信息",
            "show logging",
            "show redundancy fsm",
            "show redundancy state",
            "show redundancy auto-sync",
            "show redundancy switchtimeout",
            "show checkpoint client"
          ]
        },
        {
          "typeName": "热备份备引擎异常",
          "cmds": [
            "@include 10X路由器基本信息",
            "show logging",
            "@sleep 2000",
            "debug support",
            "show exception",
            "@sleep 2000",
            "end"
          ]
        },
        {
          "typeName": "线卡异常",
          "cmds": [
            "@include 10X路由器基本信息"
          ]
        }
      ]
    },
    {
      "collectType": "转发异常类",
      "subTypes": [
        {
          "typeName": "IPv4v6转发不通或丢包",
          "cmds": [
            "@include 10X路由器基本信息",
            "show ip route summary all",
            "show ip route count",
            "show ip route",
            "show ip ref route",
            "show ip ref adj",
            "show ip ref route statistic",
            "show ip ref adjacency statistic",
            "show ipv6 ref route statistic",
            "show ipv6 route summary all",
            "show ipv6 ref adjacency statistic",
            "show interfaces",
            "show ip interface brief",
            "show ef-interface"
          ]
        },
        {
          "typeName": "MPLS转发不通或丢包",
          "cmds": [
            "@include 10X路由器基本信息",
            "show mpls forwarding-table",
            "show mpls forwarding-table summary",
            "show mpls summary",
            "show mpls l2transport vc",
            "show mpls l2vc ftn-table",
            "show mpls ldp neighbor",
            "sh mpls ldp graceful-restart all",
            "show mpls ldp vc all",
            "show ip ref mpls forwarding-table ilm",
            "show ip ref mpls forwarding-table ftn",
            "show interfaces",
            "show ip interface brief",
            "show ip ref adj",
            "show ef-interface"
          ]
        }
      ]
    },
    {
      "collectType": "应用业务类",
      "subTypes": [
        {
          "typeName": "IPSEC协商失败",
          "cmds": [
            "@include 10X路由器基本信息",
            "show crypto pki certificates",
            "show crypto pki trustpoints",
            "show crypto isakmp policy",
            "show crypto ipsec transform-set",
            "show crypto data",
            "show crypto card",
            "show crypto map",
            "show crypto acl",
            "show crypto isakmp ippool",
            "show crypto detail ",
            "show crypto detail other",
            "show crypto state",
            "show crypto ipsec sa"
          ]
        },
        {
          "typeName": "LNS的VPDN协商异常",
          "cmds": [
            "@include 10X路由器基本信息",
            "show vpdn"
          ]
        },
        {
          "typeName": "3G4G拨号失败",
          "cmds": [
            "@include 10X路由器基本信息",
            "show cellular info",
            "debug cellular query",
            "debug cellular info",
            "terminal monitor",
            "@sleep 10000",
            "terminal no monitor",
            "undebug all"
          ]
        },
        {
          "typeName": "NAT转换失败",
          "cmds": [
            "@include 10X路由器基本信息",
            "show ip fpm counters",
            "show ip fpm statistics",
            "show ip fpm flow",
            "show ip nat translations",
            "show ip nat statistics rule nouse",
            "show ip nat statistics rule syn"
          ]
        },
        {
          "typeName": "策略路由PBR失效",
          "cmds": [
            "@include 10X路由器基本信息",
            "show pbr fw",
            "show pbr rm",
            "show pbr bfd",
            "show efpbr tran 1",
            "show ip ref adjacency",
            "show ip ref route",
            "show ip fpm statistics"
          ]
        }
      ]
    },
    {
      "collectType": "全面收集",
      "subTypes": [
        {
          "typeName": "全面收集",
          "cmds": [
            "@include 10X路由器基本信息"
          ]
        }
      ]
    },
    {
      "collectType": "自定义收集",
      "subTypes": [
        {
          "typeName": "自定义收集",
          "cmds": [
            "@include 10X路由器基本信息"
          ],
          "t": "",
          "mapHtml": "html/common/defineCollect.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "costomize": true,
          "diagRule": ""
        }
      ]
    }
  ]
}